KDE 4.7 PyKDE API Reference

- KDE's Python API

# MarbleGlobal Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

Describes possible flight mode (interpolation between source and target camera positions)

## Enumerations
Profile | { Default, SmallScreen, HighResolution }
## Methods
| __init__ (self)
Marble.MarbleGlobal.Profiles | profiles (self)
| setProfiles (self, Marble.MarbleGlobal.Profiles profiles)
## Static Methods
Marble.MarbleGlobal.Profiles | detectProfiles ()
Marble.MarbleGlobal | getInstance ()

## Method Documentation

__init__ | ( |  | self ) |

Marble.MarbleGlobal.Profiles profiles | ( |  | self ) |

setProfiles | ( | self, |
|  | Marble.MarbleGlobal.Profiles | profiles
| ) |  |  |

## Static Method Documentation

Marble.MarbleGlobal.Profiles detectProfiles | ( |  | ) |

Automatically detects the profile.

Marble.MarbleGlobal getInstance | ( |  | ) |

## Enumeration Documentation

Profile

Enumerator:

  Default = 0x0 |
  SmallScreen = 0x1 |
  HighResolution = 0x2 |